%define name celestia
%define version 1.5.1
%define release %mkrel 1

Summary:	A real-time visual space simulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Sciences/Astronomy
Source0:	http://prdownloads.sourceforge.net/celestia/%{name}-%{version}.tar.gz
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch2:		celestia-1.5.0-kde-desktop.patch
Patch3:		celestia-1.4.1-cfg.patch
URL:		http://www.shatters.net/celestia/
BuildRequires:	libmesaglut-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtkglarea-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libarts-devel
BuildRequires:	gettext-devel
#BuildRequires:	lua-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%prep
%setup -q
%patch2 -p0 -b .kde-desktop
%patch3 -p0 -b .cfg
# support for automake 1.10: empty file
# http://celestia.cvs.sourceforge.net/celestia/celestia/admin/config.rpath?view=markup&sortby=date
touch admin/config.rpath

%build
aclocal
libtoolize --force
automake
sed -i -e '/AM_GCONF_SOURCE_2/d'  configure.in
autoconf
%configure2_5x --with-gtk --with-kde --with-gnome --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT

desktop-file-install --vendor="" --delete-original \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde/ $RPM_BUILD_ROOT%{_datadir}/applnk/Edutainment/Science/celestia.desktop
cd -
)


%find_lang %name %name celestia_constellations

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO 
#%{_docdir}/HTML
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Wed May 07 2008 Funda Wang <fundawang@mandriva.org> 1.5.1-1mdv2009.0
+ Revision: 202885
- New version 1.5.1

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 161002
- fix desktop file icon
- FIx desktop orig dir
- drop old patches
- add missing file
- New version 1.5.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Wed Dec 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-9mdv2008.1
+ Revision: 137975
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.1-8mdv2008.0
+ Revision: 52746
- rediff patch2
- disable lua, make problems
- update patch2
- added lua support
- added patch 7 for lua
- added patches 2, 3, 4, 5, 6
- fix bugs 24720, 25752, 28572
- drop patch 1

  + Andreas Hasenack <andreas@mandriva.com>
    - rebuild to fix buildroot problem (/usr/share/apps/celestia was pointing to the buildroot)
    - support automake 1.10

  + Olivier Thauvin <nanardon@mandriva.org>
    - rebuild


* Sun Nov 05 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.1-3mdv2007.0
+ Revision: 76781
-fix x86_64 build (bug#25768)
- commit-message

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - celestia-1.4.1-2mdv2007.0
    - Really fix to xdg (and to have menu entry on new menu
      not a bad one)

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org> 1.4.1-1mdv2007.0
+ Revision: 43311
- 1.4.1
- xdg menu
- patch fixing c++ and destdir
- Import celestia

